ValidatorException (Apache Commons Validator 1.11.0 API)
Description: declaration: package: org.apache.commons.validator, class: ValidatorException

# Class ValidatorException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.commons.validator.ValidatorException

All Implemented Interfaces:
  `Serializable`

public class ValidatorException extends Exception
The base exception for the Validator Framework. All other `Exception`s thrown during calls to `Validator.validate()` are considered errors.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ValidatorException()`
  Constructs an Exception with no specified detail message.
  `ValidatorException(String message)`
  Constructs an Exception with the specified detail message.
  `ValidatorException(String format, Object... args)`
  Constructs an Exception with a message and the underlying cause.
  `ValidatorException(String message, Throwable cause)`
  Constructs a new exception with the specified detail message and cause.
  `ValidatorException(Throwable cause)`
  Constructs a new exception with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

- ## Method Summary

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ValidatorException

    public ValidatorException()
    Constructs an Exception with no specified detail message.

  - ### ValidatorException

    public ValidatorException(String message)
    Constructs an Exception with the specified detail message.
    Parameters:
      `message` - The error message.

  - ### ValidatorException

    public ValidatorException(String format, Object... args)
    Constructs an Exception with a message and the underlying cause.
    Parameters:
      `format` - See `String.format(String, Object...)`.
      `args` - See `String.format(String, Object...)`.
    Throws:
      `IllegalFormatException` - See `String.format(String, Object...)`.
    Since:
      1.11.0

  - ### ValidatorException

    public ValidatorException(String message, Throwable cause)
    Constructs a new exception with the specified detail message and cause.

    Note that the detail message associated with `cause` is not automatically incorporated in this exception's detail message.

    Parameters:
      `message` - The detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
      `cause` - The cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)
    Since:
      1.11.0

  - ### ValidatorException

    public ValidatorException(Throwable cause)
    Constructs a new exception with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`). This constructor is useful for exceptions that are little more than wrappers for other throwables (for example, `PrivilegedActionException`).
    Parameters:
      `cause` - The cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)
    Since:
      1.11.0